Acces to db made easy

- Prev: SqlTable
- Next: Browsing data

# Printing

Sqlkit adds printing capability throught oootemplate module that in turn uses templates created with Openoffice.org and very simple syntax.

In this module ‘print’ is used in a loose way. In all situations ‘print’ means producing a printable file, it can be an `.odt` file or a `.pdf` one.

Note

In a network environment you’ll probably use a remote server that means the file will not be generated locally. Openoffice 3.1 comes with python2.6 interpreter and uno module even under Windows. So that there’s no problem using that interpreter or using a different interpreter but pointing to it’s modules. If you need to have uno modules under windows you can follow instructions in this tutorial or on stackoverflow

## Signals

context-ready:

the context has been prepared. You can connect to this signal to add element to the context.

`context_ready_cb(printtool, context, template_name, sqlwidget):`

  Parameters:

  - printer – the printing.PrintTool object that emitted the signal
  - context – the context
  - template_name – the template name that is rendered
  - sqlwidget – the sqlwidget